[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.MouseMove

Handler for MouseMove events.

## Declaration

Source position: controls.pp line 1490

`protected procedure TControl.MouseMove(`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); virtual;`

## Arguments

`Shift` |  | The currently pressed mouse buttons and modifier keys.
`X` |  | Horizontal Mouse position in client coordinates.
`Y` |  | Vertical Mouse position in client coordinates.

## Description

Called by the MouseMove message handler. The DragManager is notified while the control is being dragged. Finally the OnMouseMove handler is invoked.